<?php

namespace QuiversBopis\Components;

use QuiversBopis\Components\ConfigHelper;

class LogTracking
{
        
    public function __construct(ConfigHelper $helper)
    {
        $this->helper = $helper;
    }

    public function orderGenerate($url, $data, $header){
        $logData = [
            "url" => $url,
            "request" => $data,
            "header"=> $header
        ];
        $this->logging("SHOPWARE BOPIS ORDER GENERATE REQUEST", $logData);
    }

    public function orderGenerateResult($url, $data, $header, $response){
        $logData = [
            "url" => $url,
            "request" => $data,
            "header"=> $header,
            "response"=>$response
        ];
        $this->logging("SHOPWARE BOPIS ORDER GENERATE RESULT", $logData);
    }

    public function logging($type, $data)
    {
        $quiversAPIKey = $this->helper->getAPIkey();
        $baseUrl = $this->helper->getMiddlewareURL();
        $endpoint = $this->helper::logEndpoint;
        $url = $baseUrl.$endpoint;
        $logdata = [
            "client_type" => "Shopware BOPIS",
            "api_key" => "apiKey ".$quiversAPIKey,
            "uuid" => uniqid(),
            "type" => $type,
            "log_data" => $data
        ];
        $response = $this->helper->CallApi(
            "POST",
            $url,
            false,
            json_encode($logdata)
        );
    }


}