<?php

namespace QuiversBopis\Components;

use QuiversBopis\Components\ConfigHelper;
use QuiversBopis\Components\LogTracking;
use Enlight_Event_EventArgs as EventArgs;

class OrderStorage
{

    public function __construct(ConfigHelper $helper)
    {
        $this->helper = $helper;
    }


    public function orderstore(EventArgs $args){
        $logTracking = new LogTracking($this->helper);
        $quiversAPIKey = $this->helper->getAPIkey();
        $baseUrl = $this->helper->getAPIbaseURL();
        $refId  = $this->helper->getQuiversRefId();
        $endpoint = sprintf($this->helper::OrderStoreEndpoint,$refId);
        $url = $baseUrl.$endpoint;

        $orderId = $args->orderId;
        $items = $args->details;
        
        try{
            $subject = $args->subject;
            $ordernumber = $subject->sOrderNumber;
        }
        catch(\Exception $e)
        {
            $ordernumber = $orderId;
        }

        $itemdata = [
            'inbound_order_id'=>$ordernumber,
            'storefront_id'=>$this->helper->getMarketPlaceForCurrency(),
            "items"=>json_encode($this->helper->getBasketdataToSetOrder($items))
        ];
        $data = [
            'key'=>$quiversAPIKey,
            "value"=>json_encode($itemdata)
        ];
        $header = [array('Authorization:'."apikey ".$quiversAPIKey)];
        $logTracking->orderGenerate($url, $data, $header);
        try{
            $response = $this->helper->CallAPI(
                "POST",
                $url,
                $header,
                json_encode($data)
            );
            $logTracking->orderGenerateResult($url, $data, $header, $response);
        }
        catch(\Exception $e)
        {
            $logTracking->orderGenerateResult($url, $data, $header, $e->getMessage());
        }
    }
}