<?php

class Shopware_Controllers_Frontend_QuiversAddToCart extends Enlight_Controller_Action
{


    public function indexAction()
    {
        $this->redirect([
            'controller' => 'checkout',
            'action' => 'cart'
        ]);
    }


    public function cartUpdateAction()
    {
        $reqData = $this->Request()->getParams();
        $service = $this->container->get('quivers_bopis_plugin.components.confighelper');

        if(isset($reqData['store'])) {
            $store = json_decode($reqData['store'], true);
            $address = $store['address'];
        }
        $searchterm = isset($reqData['searchTerm'])?$reqData['searchTerm']:null;
        $userPostalcode = isset($reqData['userPostalcode'])?$reqData['userPostalcode']:null;
        $shipping =isset($reqData['shipping'])?$reqData['shipping']:null;
        
        $basket = Shopware()->Modules()->Basket();
        $basketData = $basket->sGetBasket();
        foreach ($basketData['content'] as $basketItem) {
            $sku = $basketItem["ordernumber"];
            $upc = $service->getUPC($basketItem);
            $searchtermArray = [$sku,$upc];
            $articleId= $basketItem["articleID"];
            $id = $basketItem["id"];
            if ($searchterm != null && in_array($searchterm, $searchtermArray))
            {
                $cartItems = [
                    'userlocation'=>$userPostalcode,
                    'businessRefId' => isset($store['businessRefId'])?$store['businessRefId']:null,
                    'searchterm' => $searchterm, 
                    'businessName' => isset($store['businessName'])?$store['businessName']:null, 
                    'bopis_city' =>  isset($store['businessRefId'])?$address['city']:null, 
                    'bopis_storepostalcode' => isset($address['postalCode'])?$address['postalCode']:null,
                    'bopis_state' => isset($address['region']['abbreviation'])?$address['region']['abbreviation']:null,
                    'bopis_country' => isset($address['country']['abbreviations']['two'])?$address['country']['abbreviations']['two']:null, 
                    'curbsidepick' =>$shipping== 2 ? true : false, 
                    'instorepickup' =>$shipping == 1 ? true : false,
                    'bopis_item' => isset($store['item']['productVariantId']) && $store['item']['productVariantId']!=null? $store['item']['productVariantId']:null
                ];
                //update in db
                $service->addBopisData($cartItems, 's_order_basket_attributes', $id);
            }
        }
        //check
        return $this->forward('cart','checkout');
    }

}