<?php

namespace QuiversBopis;

use Shopware\Components\Plugin;
use Shopware\Components\Plugin\Context\InstallContext;
use Shopware\Components\Plugin\Context\UninstallContext;
use QuiversBopis\Setup\Installer;
use QuiversBopis\Setup\Uninstaller;

class QuiversBopis extends Plugin
{
    public function install(InstallContext $context)
    {
        $installer = new Installer(
            $this->container->get('models'),
            $this->container->get('shopware_attribute.crud_service'),
            $this->container->get('dbal_connection')
        );
        $installer->install();
    }


    public function uninstall(UninstallContext $context)
    {
        $uninstaller = new Uninstaller(
            $this->container->get('shopware_attribute.crud_service'),
            $this->container->get('models'),
            $this->container->get('dbal_connection')
        );
        $uninstaller->uninstall($context->keepUserData());

    }

}
