{extends file="parent:frontend/checkout/cart_item.tpl"}

{block name='frontend_checkout_cart_item_product'}

{namespace name="frontend/checkout/cart_item"}

<div class="table--tr block-group row--product{if $isLast} is--last-row{/if}">

    {if $sBasketItem.additional_details.sConfigurator}
        {$detailLink={url controller=detail sArticle=$sBasketItem.articleID number=$sBasketItem.ordernumber}}
    {else}
        {$detailLink=$sBasketItem.linkDetails}
    {/if}

    {* Product information column *}
    {block name='frontend_checkout_cart_item_name'}
        <div class="column--product">

            {* Product image *}
            {block name='frontend_checkout_cart_item_image'}
                <div class="panel--td column--image">
                    <div class="table--media">
                        {block name="frontend_checkout_cart_item_image_container"}
                            <div class="table--media-outer">
                                {block name="frontend_checkout_cart_item_image_container_outer"}
                                    <div class="table--media-inner">
                                        {block name="frontend_checkout_cart_item_image_container_inner"}

                                            {$image = $sBasketItem.additional_details.image}
                                            {$desc = $sBasketItem.articlename|escape}

                                            {if $image.thumbnails[0]}
                                                <a href="{$detailLink}" title="{$sBasketItem.articlename|strip_tags|escape}" class="table--media-link"
                                                    {if {config name=detailmodal} && {controllerAction|lower} === 'confirm'}
                                                   data-modalbox="true"
                                                   data-content="{url controller="detail" action="productQuickView" ordernumber="{$sBasketItem.ordernumber}" fullPath}"
                                                   data-mode="ajax"
                                                   data-width="750"
                                                   data-sizing="content"
                                                   data-title="{$sBasketItem.articlename|strip_tags|escape}"
                                                   data-updateImages="true"
                                                   {/if}>

                                                    {if $image.description}
                                                        {$desc = $image.description|escape}
                                                    {/if}

                                                    <img srcset="{$image.thumbnails[0].sourceSet}" alt="{$desc}" title="{$desc|truncate:160}" />
                                                </a>
                                            {else}
                                                <img src="{link file='frontend/_public/src/img/no-picture.jpg'}" alt="{$desc}" title="{$desc|truncate:160}" />
                                            {/if}
                                        {/block}
                                    </div>
                                {/block}
                            </div>
                        {/block}
                    </div>
                </div>
            {/block}

            {* Product information *}
            {block name='frontend_checkout_cart_item_details'}
                <div class="panel--td table--content">

                    {* Product name *}
                    {block name='frontend_checkout_cart_item_details_title'}

                        <a class="content--title" href="{$detailLink}" title="{$sBasketItem.articlename|strip_tags|escape}"
                            {if {config name=detailmodal} && {controllerAction|lower} === 'confirm'}
                               data-modalbox="true"
                               data-content="{url controller="detail" action="productQuickView" ordernumber="{$sBasketItem.ordernumber}" fullPath}"
                               data-mode="ajax"
                               data-width="750"
                               data-sizing="content"
                               data-title="{$sBasketItem.articlename|strip_tags|escape}"
                               data-updateImages="true"
                            {/if}>
                            {$sBasketItem.articlename|strip_tags|truncate:60}
                        </a>
                        <br>
                        {if {$sBasketItem.__s_order_basket_attributes_instorepickup}=="1"}
                            <label class="quivers-store-label">
                                Store Pick Up at  </br>{$sBasketItem.__s_order_basket_attributes_businessname}
                            </label>
                        {/if}
                        {if {$sBasketItem.__s_order_basket_attributes_curbsidepick}=="1"}
                            <label class="quivers-store-label">
                                Curbside Pick Up at  </br>{$sBasketItem.__s_order_basket_attributes_businessname}
                            </label>
                        {/if}
                    {/block}

                    {* Product SKU number *}
                    {block name='frontend_checkout_cart_item_details_sku'}
                        <p class="content--sku content">
                            {s name="CartItemInfoId"}{/s} {$sBasketItem.ordernumber}
                        </p>
                    {/block}

                    {* Product delivery information *}

                    {block name='frontend_checkout_cart_item_delivery_informations'}
                        {if {$sBasketItem.__s_order_basket_attributes_instorepickup}=="0" && {$sBasketItem.__s_order_basket_attributes_curbsidepick}=="0"}
                            {if {config name=BasketShippingInfo} && $sBasketItem.shippinginfo}
                                {include file="frontend/plugins/index/delivery_informations.tpl" sArticle=$sBasketItem}
                            {/if}
                        {/if}
                    {/block}

                    {* Additional product information *}
                    {block name='frontend_checkout_cart_item_details_inline'}{/block}

                    {* Quivers Edit Button *}
                    {block name='frontend_checkout_cart_item_quivers_edit'}
                        {if {$sBasketItem.__s_order_basket_attributes_instorepickup}=="1" || {$sBasketItem.__s_order_basket_attributes_curbsidepick}=="1"}
                            {include file="frontend/quivers_model.tpl" }
                            <script src="{$QuiversCDN}"></script>
                            <a href="#" onClick=storeEdit('{$sBasketItem.__s_order_basket_attributes_searchterm}');  class="store-edit" ><strong> Edit</strong></a>
                            <input type="hidden" id="{$sBasketItem.ordernumber}"   
                                postalcode= "{$sBasketItem.__s_order_basket_attributes_bopis_storepostalcode}"
                                searchterm= "{$sBasketItem.__s_order_basket_attributes_searchterm}"
                                marketplace= "{$QuiversMarketplace}"
                                storeName= "{$sBasketItem.__s_order_basket_attributes_businessname}"
                                storeId= "{$sBasketItem.__s_order_basket_attributes_businessrefid}"
                                userlocation= "{$sBasketItem.__s_order_basket_attributes_userlocation}"
                                shipping="{if "1" eq $sBasketItem.__s_order_basket_attributes_instorepickup}1{else}2{/if}"
                                action =""
                                edit= "true"
                                value='{$sBasketItem.QuiversStores}' />
                                <input type="hidden" id="edit" name="edit"  value="true" />
                        {/if}
                    {/block}

                </div>
            {/block}
        </div>
    {/block}


    {* QUIVERS SHIPPING METHODS *}
    {block name='frontend_checkout_cart_item_quivers_shipping'}
        {if $QuiversItemDispatches && $sBasket.bopis_shipping_status == "2"}
            <div class="panel--td column--quivers-shippingMethods is--align-right">

                {* Label *}
                {block name='frontend_checkout_cart_item_shipping_label'}
                    <div class="column--label quivers-shipping--label">
                        Shipping Methods
                    </div>
                {/block}

                {block name='frontend_checkout_cart_item_quivers_shipping_selection'}
                    <form id="quivers_table--shipping-costs{$sBasketItem.id}" name="quivers_table--shipping-costs"  method="post" action="{url controller='QuiversShipping' action='index'}">
                        {if $sBasketItem.__s_order_basket_attributes_businessrefid}
                                <select id="bopis-shipping-{$sBasketItem.id}" class="bopis-shipping-method" name="quivers_basket_dispatch_list" 
                                onchange=updateShippingMethod("{$sBasketItem.id}") onfocus=onfocusChange("{$sBasketItem.id}") disabled>
                                    <option method='{json_encode($QuiversStorePickup)}' method_title="{$QuiversStorePickup.name}" method_id="{$QuiversStorePickup.id}"
                                            value="{$QuiversStorePickup.id}" selected >
                                        {$QuiversStorePickup.name}
                                    </option>
                        {else}
                            <select id="bopis-shipping-{$sBasketItem.id}" class="bopis-shipping-method" name="quivers_basket_dispatch_list" 
                                    onchange=updateShippingMethod("{$sBasketItem.id}") onfocus=onfocusChange("{$sBasketItem.id}") >
                                {if $QuiversItemDispatches}
                                    {foreach $QuiversItemDispatches as $dispatch}
                                        <option method='{json_encode($dispatch)}' disppatch_id="{$dispatch.id}"  item_disppatch_id="{$sBasketItem.__s_order_basket_attributes_bopis_shipping_id}" method_title="{$dispatch.name}" method_id="{$dispatch.id}"
                                                value="{$dispatch.id}"{if $dispatch.id eq $sBasketItem.__s_order_basket_attributes_bopis_shipping_id} selected="selected"{/if} >
                                            {$dispatch.name}
                                        </option>
                                    {/foreach}
                                {/if}
                            </select>
                        {/if}

                        <input type ="hidden"  name="basket_item_id" value="{$sBasketItem.id}" />
                        <input type ="hidden" id="dropdown_previous_shipping-{$sBasketItem.id}" name="dropdown_previous_shipping-{$sBasketItem.id}"  value="" />
                        <input type ="hidden"  name="quivers_target" value="{$QuiverssTarget}" />
                        <input type="hidden" id="QuiverssArticle{$sBasketItem.id}" value="{$sBasketItem.id}" />
                    </form>
                {/block}
            </div>
        {/if}
    {/block}

    {* Product quantity *}
    {block name='frontend_checkout_cart_item_quantity'}
        <div class="panel--td column--quantity is--align-right">

            {* Label *}
            {block name='frontend_checkout_cart_item_quantity_label'}
                <div class="column--label quantity--label">
                    {s name="CartColumnQuantity" namespace="frontend/checkout/cart_header"}{/s}
                </div>
            {/block}


            {block name='frontend_checkout_cart_item_quantity_selection'}
                {if !$sBasketItem.additional_details.laststock || ($sBasketItem.additional_details.laststock && $sBasketItem.additional_details.instock > 0)}
                    <form name="basket_change_quantity{$sBasketItem.id}" class="select-field" method="post" action="{url action='changeQuantity' sTargetAction=$sTargetAction}">
                        <select name="sQuantity" data-auto-submit="true">
                            {section name="i" start=$sBasketItem.minpurchase loop=$sBasketItem.maxpurchase+1 step=$sBasketItem.purchasesteps}
                                <option value="{$smarty.section.i.index}" {if $smarty.section.i.index==$sBasketItem.quantity}selected="selected"{/if}>
                                    {$smarty.section.i.index}
                                </option>
                            {/section}
                        </select>
                        <input type="hidden" name="sArticle" value="{$sBasketItem.id}" />
                    </form>
                {else}
                    {s name="CartColumnQuantityEmpty" namespace="frontend/checkout/cart_item"}{/s}
                {/if}
            {/block}
        </div>
    {/block}

    {* Product unit price *}
    {block name='frontend_checkout_cart_item_price'}
        <div class="panel--td column--unit-price is--align-right">

            {if !$sBasketItem.modus}
                {block name='frontend_checkout_cart_item_unit_price_label'}
                    <div class="column--label unit-price--label">
                        {s name="CartColumnPrice" namespace="frontend/checkout/cart_header"}{/s}
                    </div>
                {/block}

                {$sBasketItem.price|currency}{block name='frontend_checkout_cart_tax_symbol'}{s name="Star" namespace="frontend/listing/box_article"}{/s}{/block}
            {/if}
        </div>
    {/block}

    {* Product tax rate *}
    {block name='frontend_checkout_cart_item_tax_price'}{/block}

    {* Accumulated product price *}
    {block name='frontend_checkout_cart_item_total_sum'}
        <div class="panel--td column--total-price is--align-right">
            {block name='frontend_checkout_cart_item_total_price_label'}
                <div class="column--label total-price--label">
                    {s name="CartColumnTotal" namespace="frontend/checkout/cart_header"}{/s}
                </div>
            {/block}
            {$sBasketItem.amount|currency}{block name='frontend_checkout_cart_tax_symbol'}{s name="Star" namespace="frontend/listing/box_article"}{/s}{/block}
        </div>
    {/block}

    {* Remove product from basket *}
    {block name='frontend_checkout_cart_item_delete_article'}
        <div class="panel--td column--actions">
            <form action="{url action='deleteArticle' sDelete=$sBasketItem.id sTargetAction=$sTargetAction}"
                  method="post">
                <button type="submit" class="btn is--small column--actions-link"
                        title="{"{s name='CartItemLinkDelete'}{/s}"|escape}">
                    <i class="icon--cross"></i>
                </button>
            </form>
        </div>
    {/block}
</div>


{/block}
