<?php

namespace QuiversBopis\Setup;

use Doctrine\DBAL\Connection;
use Shopware\Bundle\AttributeBundle\Service\CrudService;
use Shopware\Components\Model\ModelManager;

class Uninstaller
{
    /**
     * @var CrudService
     */
    private $attributeCrudService;

    /**
     * @var ModelManager
     */
    private $modelManager;

    /**
     * @var Connection
     */
    private $connection;

    public function __construct(CrudService $attributeCrudService, ModelManager $modelManager, Connection $connection)
    {
        $this->attributeCrudService = $attributeCrudService;
        $this->modelManager = $modelManager;
        $this->connection = $connection;
    }

    /**
     * @param bool $safeMode
     */
    public function uninstall($safeMode)
    {
        $this->deactivateMethods();
        $this->uninstallMailTemplate();

    }


    public function deactivateMethods (){
        $sql = $this->connection->createQueryBuilder()
            ->select('*')
            ->from('s_premium_dispatch')
            ->where('name = :name')
            ->setParameter('name', 'In-Store Pickup')
            ->execute()->fetchAll();
        if($sql){
            $data = [
                "active" => 0,
            ];
            $identifier = [
                'id'=>$sql[0]['id']
            ];
            $this->connection->update("s_premium_dispatch", $data, $identifier);    
        }

        $sql = $this->connection->createQueryBuilder()
            ->select('*')
            ->from('s_premium_dispatch')
            ->where('name = :name')
            ->setParameter('name', 'Bopis Mixed')
            ->execute()->fetchAll();
        if($sql){
            $data = [
                "active" => 0,
            ];
            $identifier = [
                'id'=>$sql[0]['id']
            ];
            $this->connection->update("s_premium_dispatch", $data, $identifier);    
        }
    }

    public function uninstallMailTemplate (){
        $data = [
            "`name`" => 'QuiversBOPISsOrder'
        ];
        $this->connection->delete("s_core_config_mails", $data);

    }
}

