<?php

namespace QuiversBopis\Subscriber;

use Enlight\Event\SubscriberInterface;
use Enlight_Controller_ActionEventArgs as ActionEventArgs;
use Enlight_View_Default;
use Quivers\Components\SettingService;

class Backend implements SubscriberInterface
{

    public function __construct()
    {
        $this->modelManager = Shopware()->Container()->get('models');
        $this->db = Shopware()->Db();
    }

    /**
     * {@inheritdoc}
     */
    public static function getSubscribedEvents()
    {
        return [
            'Enlight_Controller_Action_PostDispatchSecure_Backend_Config' => 'onPostDispatchConfig'
        ];
    }


    public function onPostDispatchConfig(ActionEventArgs $arguments)
    {
        /* @var Enlight_View_Default $view */
        $view = $arguments->getSubject()->View();
        $controller = $arguments->getSubject();
        $action = $controller->Request()->getActionName();
        $request = $controller->Request();

        $name = $request->getParam('name');
        $BopisErrorMessage = "Cannot enable BOPIS as Quivers Connector is not active/installed. It is mandatory that you install and enable that plugin in order to use this feature. For further assistance, please reach out to support@quivers.com.";
        
        if($action == 'saveForm' && $name == 'QuiversBopis'){
            $quiversEnable = $this->getQuiversEnable();
            $elements = $request->getParam('elements');

            if(!$quiversEnable){
                $elementId= null;
                foreach($elements as $element){
                    if($element['name']== 'QuiversBopisEnabled'){
                        $elementId = $element['id'];
                        $values = $element['values'];
                        foreach($values as $value){
                            if($value['value']!= "" && $value['value'] == true){
                                $this->db->executeUpdate('UPDATE s_core_config_values SET value="b:0;" WHERE element_id=:elementId',
                                    [
                                        'elementId' => $elementId
                                    ]
                                );
                    
                            }
                        }

                    }
                }
    
                $view->assign(['success' => false, 'message' => $BopisErrorMessage]);
            }
        }
    }

    public function getQuiversEnable(){  
        $settings = new SettingService($this->modelManager);
        $enable = $settings->get('enable_plugin', 'general');
        return $enable;
    }


}
